# CATIA V5 (Plug-in) Importer

Section Name [CAA2ENF]

## XConvertPMI

Specify whether to convert PMI.

- Default Value: 0
- Values
  - 0: Don’t convert PMI
  - 1: Convert PMI

## XConvertSpotWeld

Specify whether to convert SpotWeld. (PMI)

- Default Value: 0
- Values
  - 0: Don’t convert SpotWeld
  - 1: Convert SpotWeld

## XConvert3DAnnotationAsPolyline

Specify whether to also convert as polyline PMI when converting PMI as semantic PMI.

- Default Value: 1
- Values
  - 0: Don’t convert as polyline PMI (Convert as semantic PMI only)
  - 1: Convert as polyline PMI as well

## XConvertView

Specify whether to convert cameras, captures and layer filters. (View)

- Default Value: 0
- Values
  - 0: Don’t convert the view.
  - 1: Convert the view.

## XConvertUserProperty

Specify whether to convert user properties. (Attribute)

- Default Value: 0
- Values
  - 0: Don’t convert user properties
  - 1: Convert user properties

## XConvertSystemProperty

Specify whether to convert system properties. (Attribute)

- Default Value: 0
- Values
  - 0: Don’t convert system properties
  - 1: Convert system properties

## XConvertMaterial

Specify whether to convert Material. (Attribute)

- Default Value: 0
- Values
  - 0: Don’t convert Material
  - 1: Convert Material

## ConvertGeometryType

Specify the geometry format to convert CATPart and CGR (convert as B-rep, or obtain them in the tessellated geometry (polygon) and convert to polygon in ENF), and also whether to create a sub assembly per CGR node.

- Default Value: 0

- Values

  - 0: Convert CATPart as B-rep, but don’t convert CGR

  - 1: Convert CATPart as B-rep, and CGR as tessellated geometry (polygon).
    Also create a sub assembly per CGR node.
  - 2: Convert CATPart and CGR as tessellated geometry (polygon).
    Also create sub assembly per CGR node.
  - 3: Convert CATPart as B-rep, and CGR as tessellated geometry (polygon).
    Don’t create sub assemblies for CGR nodes.
  - 4: Convert CATPart and CGR as tessellated geometry (polygon).
    Don’t create sub assemblies for CGR nodes.

## CnvGSMVolumeAsSolid

Specify whether to convert Volume as solid volumes.

- Default Value: 0

- Values

  - 0: Don’t convert as solid volumes
    (Convert as skin volumes)

  - 1: Convert as solid volumes

## Face

Specify whether to convert skin (open shell).

- Default Value: 1
- Values
  - 0: Don’t convert skin
  - 1: Convert skin

## TrimSurfaceMode

Specify whether to trim surfaces by the minimum patch to contain the face during CATIA V5 to ENF conversion.

- Default Value: 4
- Values
  - 0: Don’t trim surfaces, except for the offset surfaces which consist of 2 or more patches
  - 1: Trim surfaces by the minimum patch to contain a face
  - 4: Trim surfaces, but don’t trim revolved surfaces on the side of the closing direction (perpendicular to the axis)

## IsoCurve

Specify whether to convert isolated curves.

- Default Value: 1
- Values
  - 0: Don’t convert isolated curves
  - 1: Convert isolated curves

## ConvertInfiniteLine

Specify whether to convert infinite and half-infinite lines.

- Default Value: 1
- Values
  - 0: Don’t convert infinite and half-infinite lines
  - 1: Convert infinite and half-infinite lines

## IsoPoint

Specify whether to convert isolated points.

- Default Value: 1
- Values
  - 0: Don’t convert isolated points
  - 1: Convert isolated points

## ConvertInfinitePlane

Specify whether to convert infinite planes.

- Default Value: 1
- Values
  - 0: Don’t convert infinite planes
  - 1: Convert infinite planes

## SkipDefaultPlane

Specify whether to skip the default plane conversion.

- Default Value: 0

- Values

  - 0: Don’t skip
    (Convert the default plane)
  - 1: Skip the default plane conversion
    (Don’t convert the default plane)

## Axis

Specify whether to convert the coordinate system (Axis System).

- Default Value: 1
- Values
  - 0: Don’t convert Axis System
  - 1: Convert Axis System

## NoShow

Specify whether to convert hidden elements as hidden elements.

- Default Value: 0
- Values
  - 0: Don’t convert hidden elements
  - 1: Convert hidden elements as hidden elements

## NoShowInstance

Specify whether to convert hidden instances.

- Default Value: -1
- Values
  - -1: Apply the settings specified with “NoShow” (parameter for hidden elements conversion)
  - 0: Don’t convert hidden instances
  - 1: Convert hidden instances

## InstancePathDisp

Specify whether to convert the display attribute of instances per instance path.

- Default Value: 0
- Values
  - 0: Don’t convert per instance path
  - 1: Convert display attribute of instances per instance path

## Layer

Specify the layer to convert. (only the elements in specified layer will be converted)

Set either an integer number larger than -1 or “Current”
“Current”: Convert elements in current filter only
-1: Convert elements which do not belong to any layers only
0 - 999: Convert elements in the specified layer only. Please ensure to separate values by commas when specifying multiple values.

- Default Value:

## ConvertSuppressInstance

Specify whether to convert deactivated instances as hidden instances.

- Default Value: 0
- Values
  - 0: Don’t convert deactivated instances
  - 1: Convert deactivated instances as hidden instances

## ConvertFlexibleAssembly

Specify whether to convert flexible assemblies as flexible assemblies.

- Default Value: 0

- Values

  - 0: Don’t convert as flexible assemblies
    (Traverse the assembly tree from the top, and convert the first-found assembly as-is, and apply the instance matrix of its components to all the other sharing assemblies when it is a shared assembly)

  - 1: Convert as flexible assemblies

## FaceColor

Specify whether to convert face color.

- Default Value: 1
- Values
  - 0: Don’t convert face color
  - 1: Convert face color

## EdgeColorMode

Specify whether to replace the edge color by the face color.

- Default Value: 0

- Values

  - 0: Don’t replace the edge color
    (Maintain the original color)

  - 1: Replace the edge color by the face color

## FaceTransparency

Specify whether to convert the face/feature transparency.
This is effective only when “FaceColor=1”.

- Default Value: 1
- Values
  - 0: Don’t convert the face/feature transparency
  - 1: Convert the face/feature transparency

## TransparencyFifty

Specify whether to change the transparency (convert the transparency value “0” as is (“0% transparent”), and “1 - 255” as “50% transparent”).
0: Similar to CATIA V5 Alpha Blending mode
1: Similar to CATIA V5 Screen Door mode

- Default Value: 0

- Values

  - 0: Don’t change the transparency
    (Maintain the original transparency)
  - 1: Change the transparency
    (Convert “0” as is, and “1 - 255” as “50% transparent”)

## ConvertFaceMoniker

Specify whether to convert persistent entity ID in CATIA V5 to Identification in ENF.

- Default Value: 0
- Values
  - 0: Don’t convert CATIA V5 persistent entity ID
  - 1: Convert CATIA V5 persistent entity ID to ENF Identification

## ConvertPartwise

Specify whether to run the conversion with memory-saving mode.

- Default Value: 0
- Values
  - 0: Don’t enable memory-saving mode
  - 1: Enable memory saving mode

## StructureMode

Specify whether to convert the assembly structure only without part information.

- Default Value: 0
- Values
  - 0: Convert assembly structure + part information
  - 1: Convert assembly structure only

## SupportV4

Specify whether to convert CATIA V4 models contained in a CATIA V5 model.
Please note that it requires the license on CATIA V4 Importer to convert including CATIA V4 models.

- Default Value: 0
- Values
  - 0: Don’t convert CATIA V4 models (Convert CATIA V5 model only)
  - 1: Convert including CATIA V4 models

## CalcMassProperty

Specify whether to output the mass properties (volume, surface area, and center of gravity) to XML log.

- Default Value: 0
- Values
  - 0: Don’t output mass properties
  - 1: Output mass properties

## CalcInnerShellArea

Specify whether to include inner shell area in mass property conversion.

- Default Value: 1

- Values

  - 0: Don’t include
    (Convert wetted area only)
  - 1: Include
    (Convert both wetted and inner shell area)

## CalcElementNumber

Specify whether to output the number of elements to the XML log file.

- Default Value: 0
- Values
  - 0: Don’t output number of elements
  - 1: Output number of elements

## XConvertNote

Specify whether to convert Note. (PMI)

- Default Value: -1
- Values
  - -1: Follow the conversion settings set with “ConvertPMI”
  - 0: Don’t convert Text
  - 1: Convert Text

## XConvertDimension

Specify whether to convert Dimension. (PMI)

- Default Value: -1
- Values
  - -1: Follow the conversion settings set with “XConvertPMI”
  - 0: Don’t convert Dimension
  - 1: Convert Dimension

## XConvertGDT

Specify whether to convert Geometrical Tolerance, Datum and Datum Target. (PMI)

- Default Value: -1
- Values
  - -1: Follow the conversion settings set with “XConvertPMI”
  - 0: Don’t convert Geometrical Tolerance
  - 1: Convert Geometrical Tolerance

## XConvertSurfFinish

Specify whether to convert Roughness. (PMI)

- Default Value: -1
- Values
  - -1: Follow the conversion settings set with “XConvertPMI”
  - 0: Don’t convert Roughness
  - 1: Convert Roughness

## XConvertLineWeld

Specify whether to convert Weld Symbol. (PMI)

- Default Value: -1
- Values
  - -1: Follow the conversion settings set with “XConvertPMI”
  - 0: Don’t convert Weld Symbol
  - 1: Convert Weld Symbol

## XConvertSymbol

Specify whether to convert a Note Object Attribute. (PMI)

- Default Value: -1
- Values
  - -1: Follow the conversion settings set with “XConvertPMI”
  - 0: Don’t convert Note Object Attribute
  - 1: Convert Note Object Attribute

## ConvertMasterData

Specify whether to convert Masterdata in CATIA V5 to user attribute in ENF.

- Default Value: 0
- Values
  - 0: Don’t convert Masterdata
  - 1: Convert Masterdata to user attribute

## CnvFileSystemInfo

Specify whether to convert the time stamp and the file size.

- Default Value: 0
- Values
  - 0: Don’t convert time stamp and file size
  - 1: Convert time stamp and file size

## ValidatorMode

Specify the conversion settings for re-conversion of the conversion result in CATIA V5 to ENF.
Set this when additional processes are required to use the CATIA V5 model converted from another CAD format for CAD validation.
Re-conversion will be performed with the normal settings when this is not set.

- Default Value:
- Values
  - 1: Convert Wire part for PMI created in previous ENF to V5 conversion

## ProductMode

Specify whether to apply the default conversion settings of other application.

- Default Value: 0

- Values

  - 0: Don’t apply
    (Convert in ASFALIS settings)

  - 1: Apply CADdoctor settings

  - 2: Apply settings for XVL conversion

## Annotation

Specify whether to convert annotations and Simple Datum.
This is for To-XVL conversion only.
Please note that “XConvert” parameters will be prioritized when set in combination.

- Default Value: 0
- Values
  - 0: Don’t convert annotations and Simple Datum
  - 1: Convert annotations and Simple Datum

## Dimension

Specify whether to convert Dimension.
This is for To-XVL conversion only, and effective only when “Annotation=1”.
Please note that “XConvert” parameters will be prioritized when set in combination.

- Default Value: 0
- Values
  - 0: Don’t convert Dimension
  - 1: Convert Dimension

## FlagNote

Specify whether to convert the title of Flag Notes (annotations containing URL).
This is for To-XVL conversion only.
Please note that “XConvert” parameters will be prioritized when set in combination.

- Default Value: 0
- Values
  - 0: Don’t convert the title of Flag Note
  - 1: Convert the title of Flag Note

## DrwGDT

Specify whether to convert Geometrical Tolerance.
This is for To-XVL conversion only.
Please note that “XConvert” parameters will be prioritized when set in combination.

- Default Value: 0
- Values
  - 0: Don’t convert Geometrical Tolerance
  - 1: Convert Geometrical Tolerance

## ReplaceTPS

Specify whether to replace PMI symbols (e.g., phi) by SJIS characters.
This is for To-XVL conversion only.
Please note that “XConvert” parameters will be prioritized when set in combination.

- Default Value: 0
- Values
  - 0: Don’t replace PMI symbols by SJIS characters
  - 1: Replace PMI symbols by SJIS characters